package one.shandan;
import one.shandan.PlJavaJSword;
import org.crosswire.jsword.book.BookException;
import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.assertEquals;

public class TestPlJavaJSword {
  @Test
  public void testIsValidVerseValidVerse(){
    assertEquals(true, PlJavaJSword.isValidVerse("Gen 1:1"));
  }
  @Test
  public void testIsValidVerseInvalidVerse(){
    assertEquals(false, PlJavaJSword.isValidVerse("Bogus 1:1"));
  }
  @Test
  public void testText() throws BookException {
    assertEquals("In the beginning God created the heaven and the earth.", PlJavaJSword.getText("KJV", "Genesis 1:1"));
  }
  @Test
  public void testDefaultText() throws BookException {
    assertEquals("In the beginning God created the heaven and the earth.", PlJavaJSword.getDefaultText("Genesis 1:1"));
  }
}
